<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.RegisterSchoolFileMapper">

    <resultMap type="org.dromara.system.domain.vo.RegisterSchoolFileVo" id="RegisterSchoolFileResult">
        <result property="id"    column="id"    />
        <result property="schoolId"    column="school_id"    />
        <result property="deptId"    column="dept_id"    />
        <result property="name"    column="name"    />
        <result property="url"    column="url"    />
        <result property="type"    column="type"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectRegisterSchoolFileVo">
        select id, school_id, dept_id, name, url, type, remark from register_school_file
    </sql>

    <delete id="deleteRegisterSchoolFileBySchoolId" parameterType="java.lang.Long">
        delete from register_school_file where school_id = #{schoolId}
    </delete>

    <select id="selectVoMapperList" resultMap="RegisterSchoolFileResult">
        <include refid="selectRegisterSchoolFileVo"/>
        ${ew.getCustomSqlSegment}
    </select>

</mapper>
